Subject: Re: RFC: New diff-delta.c implementation

From: Rene Scharfe <[email-masked]>
Date: Tue, 25 Apr 2006 20:22:23 +0200

Geert Bosch schrieb:
> On Sat, Apr 22, 2006 at 02:36:04PM +0200, Rene Scharfe wrote:
>> You can use "indent -npro -kr -i8 -ts8 -l80 -ss -ncs" to reformat your
>> code into a similar style as used in the rest of git (settings taken
>> from Lindent which is shipped with the Linux source).
> Although I cringe at 8-space indenting, and find much of the GIT
> code close to unreadable for lack of design-level comments, I'll
> gladly reformat any code to conform to existing code standards.
> Please let me know if you've got documentation on that, as it would
> be helpful for me to know what the standard is. (No flame intended. :-)

I'm not aware of a document mandating a certain formatting.  The output
of that indent call should come close to a "standard format", because
Linus followed this style from the beginning and Junio didn't go astray.

Don't worry too much about it.  I just wanted to point out an easy way
to reformat your code to use sane indenting. :->

René